summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ef7bae50..f37772a6 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1288,6 +1288,10 @@ fi
source "$BUILDSCRIPT"
# check for no-no's in the build script
+if [ -z "$pkgname" ]; then
+ error "$(gettext "%s is not allowed to be empty.")" "pkgname"
+ exit 1
+fi
if [ -z "$pkgver" ]; then
error "$(gettext "%s is not allowed to be empty.")" "pkgver"
exit 1